Inhalte
Index 🔎︎

# Funktion IsObject

Testet, ob eine Variable ein Objekt ist, im Gegensatz zu primitiven Datentypen wie Datumsangaben, Zahlen, Texte. Die Funktion gibt True zurück, wenn die Variable ein Objekt ist, anderenfalls gibt sie False zurück.

Diese Funktion gibt True für die folgenden Objekttypen zurück:

- OLE- oder UNO-Objekte

- Objektinstanzen Klassenmodul

- Erweiterte Typen oder Aufzählungen

- Routinen oder Variablen, wenn sie als Objekt definiert sind.

- LibreOffice Basic-Module

Datenstrukturen geben True zurück, auch wenn sie leer sind. Objektdefinierte Variablen geben True zurück, auch wenn sie nicht initialisiert sind.

### Syntax:

IsObject(var)

### Rückgabewert:

Boolean

### Parameter:

var: Die zu testende Variable.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

Verwandte Themen

Funktion EqualUnoObjects

Anweisung Enum

Anweisung Option ClassModule

Anweisung Type

Variablen verwenden